% Read the Hytec dynamic matrices

load C:/ligo1/SEI/LIGOStackModels/BSC_SEI/BSC_SEI.mat

nm=size(mass_dof,1);

% Write the Matrices in acsii form for input into Mathematica

wdir='C:/ligo1/SEI/models/';
fid=fopen(char(strcat(wdir,'MK_SEI.txt')),'wt');

fprintf(fid,'%f\n',nm);
fprintf(fid,'%f\t %f\t %f\t %f\t %f\t %f\n',mass_dof');

formate=' ';
km=6*(nm-1);
for k=1:km
  formate = strcat(formate,' %e\t');
end
formate=strcat(formate,'\n');

fprintf(fid,formate,M);

fprintf(fid,formate,real(K));
fprintf(fid,formate,imag(K));

fclose(fid);

Kr=real(K);
vals=eig(Kr,M);
freqs=sqrt(vals)/(2*pi);
sort(freqs)'